#
# spec file for package python-pytest-cookies
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# cookiecutter is only available for python3
%define pythons python3
Name:           python-pytest-cookies
Version:        0.7.0
Release:        2.1
Summary:        Cookiecutter template pytest plugin
License:        MIT
URL:            https://github.com/hackebrot/pytest-cookies
Source:         https://github.com/hackebrot/pytest-cookies/archive/%{version}.tar.gz#/pytest-cookies-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       cookiecutter >= 2.1.0
Requires:       python-pytest >= 3.9.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.9.0}
BuildRequires:  cookiecutter >= 2.1.0
# /SECTION
%python_subpackages

%description
The pytest plugin for your Cookiecutter templates.

%prep
%setup -q -n pytest-cookies-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/pytest_cookies
%{python_sitelib}/pytest_cookies-%{version}.dist-info

%changelog
* Thu Sep  7 2023 Steve Kowalik <steven.kowalik@suse.com>
- Stop using greedy globs in %%files.
- Switch to pyproject macros.
* Tue May  9 2023 Dirk Müller <dmueller@suse.com>
- update to 0.7.0:
  * Fixes for Cookiecutter v2.1.0 and newer (#63).
  * Update `bdist_wheel` info in setup.cfg.
  * Update dependencies and require Python 3.6 or newer. Return a
    `pathlib.Path` to the generated project via
    `Result.project_path`
* Sat May 15 2021 Ben Greiner <code@bnavigator.de>
- Don't build two identical packages python{3,38}-pytest-cookies
* Wed Jan 20 2021 John Vandenberg <jayvdb@gmail.com>
- Submit as python 3.8 only package on Tumbleweed to match cookiecutter
* Sun May 10 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.5.1
